Skip Menu |
 

This queue is for tickets about the Test-Harness CPAN distribution.

Report information
The Basics
Id: 85106
Status: resolved
Priority: 0/
Queue: Test-Harness

People
Owner: Nobody in particular
Requestors: SAPER [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Normal
Broken in: 3.28
Fixed in: 3.29



Subject: [patch] fix warning in TAP::Parser::SourceHandler::Perl
Download (untitled) / with headers
text/plain 419b
Hello, After upgrading TAP::Harness to version 3.28, I got the following warning: Use of uninitialized value in split at /usr/local/share/perl/5.14.2/TAP/Parser/SourceHandler/Perl.pm line 170. Unsurprising, given PERL5LIB and PERL5OPT are not defined in my environment. Changing line 170 to my @perl5lib = split /$Config{path_sep}/, $ENV{PERL5LIB} || ""; fixes the warning. -- Close the world, txEn eht nepO.
Download (untitled) / with headers
text/plain 506b
On Tue May 07 04:35:01 2013, SAPER wrote: Show quoted text
> Hello, > > > After upgrading TAP::Harness to version 3.28, I got the following > warning: > Use of uninitialized value in split at > /usr/local/share/perl/5.14.2/TAP/Parser/SourceHandler/Perl.pm line > 170. > > Unsurprising, given PERL5LIB and PERL5OPT are not defined in my > environment. Changing line 170 to > > my @perl5lib = split /$Config{path_sep}/, $ENV{PERL5LIB} || ""; > > fixes the warning.
This bug has been fixed in Test-Harness 3.29 :-) Leon


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.